//
// BusProductSelectionViewProvider.h
// GoToBus
//
// Created by iphone development on 6/10/14.
//
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "Product.h"

@interface BusProductSelectionViewProvider : NSObject <UITableViewDataSource, UITableViewDelegate>

- (instancetype)initWithProducts:(NSArray *)products;
- (void)reloadProducts:(NSArray *)products;

- (void)didSelectProduct:(void (^) (Product *product))block;
- (void)didFocusProduct:(void (^) (Product *product))block;

- (void)tableView:(UITableView *)tableView selectProduct:(Product *)product;
- (void)autoFocus;

@end
